astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Time and Dates (`astropy.time`) »
- TimeGPS

# TimeGPS

class `astropy.time.core.``TimeGPS`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.core.TimeFromEpoch`

  GPS time: seconds from 1980-01-06 00:00:00 UTC

  GPS time includes leap seconds. For details, see http://tycho.usno.navy.mil/gpstt.html

  Attributes Summary

  `epoch_format` | unicode(object=’‘) -> unicode object
  `epoch_scale` | unicode(object=’‘) -> unicode object
  `epoch_val` | unicode(object=’‘) -> unicode object
  `epoch_val2` |
  `name` | unicode(object=’‘) -> unicode object
  `unit` | float(x) -> floating point number

  Attributes Documentation

  `epoch_format` = u'iso'
  `epoch_scale` = u'tai'
  `epoch_val` = u'1980-01-06 00:00:19'
  `epoch_val2` = None
  `name` = u'gps'
  `unit` = 1.1574074074074073e-05